--- harvid-0.8.3.orig/common.mak
+++ harvid-0.8.3/common.mak
@@ -13,6 +13,7 @@
 hdocdir ?= $(docdir)/harvid
 
 ECHO=$(shell which echo) -e
+PKG_CONFIG ?= pkg-config
 
 ARCHFLAGS=
 ARCHINCLUDES=
--- harvid-0.8.3.orig/libharvid/Makefile
+++ harvid-0.8.3/libharvid/Makefile
@@ -2,7 +2,7 @@
 
 FLAGS=
 FLAGS+=$(ARCHINCLUDES) $(ARCHFLAGS)
-FLAGS+=`pkg-config --cflags libavcodec libavformat libavutil libswscale`
+FLAGS+=`$(PKG_CONFIG) --cflags libavcodec libavformat libavutil libswscale`
 LIBHARVID_OBJECTS = \
   decoder_ctrl.o \
   ffdecoder.o \
@@ -52,7 +52,7 @@
 	  $(LIBHARVID_OBJECTS) \
 	  $(CFLAGS) $(FLAGS) \
 	  .libharvid_dll.c dlog_null.c \
-	  $(LDFLAGS) `pkg-config --libs libavcodec libavformat libavutil libswscale` $(ARCHLIBES)
+	  $(LDFLAGS) `$(PKG_CONFIG) --libs libavcodec libavformat libavutil libswscale` $(ARCHLIBES)
 	$(STRIP) libharvid.$(LIBEXT)
 
 libharvid.dylib: $(LIBHARVID_OBJECTS) $(LIBHARVID_H) .libharvid.sym
--- harvid-0.8.3.orig/src/Makefile
+++ harvid-0.8.3/src/Makefile
@@ -8,20 +8,20 @@
 
 CONFIGTEMP=conf.out
 
-ifeq ($(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists libavcodec libavformat libavutil libswscale || echo no), no)
+ifeq ($(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --exists libavcodec libavformat libavutil libswscale || echo no), no)
   $(error "http://ffmpeg.org is required - install libavcodec-dev, libswscale-dev, etc")
 endif
 
-ifeq ($(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --exists libpng || echo no), no)
+ifeq ($(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --exists libpng || echo no), no)
   $(error "libpng is required - install libpng-dev")
 endif
 
 FLAGS=-I../libharvid/
 FLAGS+=$(ARCHINCLUDES) $(ARCHFLAGS)
-FLAGS+=`pkg-config --cflags libavcodec libavformat libavutil libpng libswscale`
+FLAGS+=`$(PKG_CONFIG) --cflags libavcodec libavformat libavutil libpng libswscale`
 
 LOADLIBES=$(ARCHLIBES)
-LOADLIBES+=`pkg-config --libs libavcodec libavformat libavutil libpng libswscale`
+LOADLIBES+=`$(PKG_CONFIG) --libs libavcodec libavformat libavutil libpng libswscale`
 LOADLIBES+=-ljpeg
 LOADLIBES+=-lz -lm
 
